Cannot render script as parent algorithm in Graphical Modeler
Status: Closed

Priority: Normal

Assignee:

Category: Processing/GUI

Affected QGIS version:2.8.2 Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 21109

Description

When working in the Processing modeler, if I set the parent algorithm of anything to a script, I get a QT error. Closing the error dialogue

brings me back to the processing modeler, which then immediately reopens the error dialogue. Because this continues infinitely, I'm

forced to kill the process and start over.

I'm convinced the error is related to the lines drawn between objects in the modeler. Whether by some bug or otherwise, sometimes when

I'm working with the modeler, the lines between objects that illustrate parent relationships disappear. I've since noticed that without these

lines, I can add scripts as parent algorithms without any problems at all. But the moment the lines come back, as is the case when I

re-open the modeler or fiddle with the zoom, the error instantly appears.

Associated revisions

Revision 2a260edb - 2015-09-14 09:11 PM - Radoslaw Guzinski

[processing] [fixes #13034] Fix exception when editing model

History

#1 - 2015-06-24 02:14 AM - Saber Razmjooei

- Category changed from GUI to Processing/GUI

#2 - 2015-09-14 12:10 PM - Radoslaw Guzinski

- Status changed from Open to Closed

Fixed in changeset commit:"2a260edba86821e6bb5e3429044a0822fc4d7ba0".
